Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.forums
Class NewsGroupJournal

    java.lang.Object
      com.knowgate.forums.NewsGroupJournal

    public class NewsGroupJournal

extends java.lang.Object

NewsGroupJournal

Constructor Summary
`NewsGroupJournal()`

Method Summary
`java.lang.String` | `getBaseHref()`
`java.lang.String` | `getBlogPath()`
`java.lang.String` | `getEncoding()`
`java.lang.String` | `getGuid()`
`java.lang.String` | `getLanguage()`
`java.lang.String` | `getOutputPath()`
`java.util.ArrayList<NewsGroupJournalPage>` | `getTemplates()`
`void` | `rebuild(JDCConnection oConn, boolean bFullRebuild)`
`java.lang.String` | `setBlogPath(java.lang.String sPath)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NewsGroupJournal

    public NewsGroupJournal()

Method Detail

### getGuid

    public java.lang.String getGuid()

### getEncoding

    public java.lang.String getEncoding()

### getLanguage

    public java.lang.String getLanguage()

### getBaseHref

    public java.lang.String getBaseHref()

### getBlogPath

    public java.lang.String getBlogPath()

### setBlogPath

    public java.lang.String setBlogPath(java.lang.String sPath)

### getOutputPath

    public java.lang.String getOutputPath()

### getTemplates

    public java.util.ArrayList<NewsGroupJournalPage> getTemplates()

### rebuild

    public void rebuild(JDCConnection oConn,
                        boolean bFullRebuild)
                 throws java.lang.NullPointerException,
                        java.sql.SQLException,
                        java.io.FileNotFoundException,
                        java.io.IOException,
                        javax.xml.transform.TransformerException

  Throws:
    `java.lang.NullPointerException`
    `java.sql.SQLException`
    `java.io.FileNotFoundException`
    `java.io.IOException`
    `javax.xml.transform.TransformerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD